List YouTube channel videos (POST)
POST /v1/youtube-channel-videos
POST
/v1/youtube-channel-videos
List videos from a YouTube channel with pagination.
Credits: 1 per request.
Accepts the same fields as JSON instead of query parameters.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
channel_id
YouTube channel ID (UC…).
string
continuation
Pagination token from previous response.
string
Responses
Section titled “ Responses ”Extracted data.
object
channel_id
string
videos
Array<object>
object
type
string
id
string
url
string
title
string
thumbnail
string
view_count_text
string
view_count_int
number
published_time_text
string
published_time
string
length_text
string
length_seconds
number
badges
Array<string>
continuation_token
string
has_more
boolean
Headers
Section titled “Headers ” X-Credits-Used
integer
Credits consumed.
X-Credits-Remaining
integer
Remaining credit balance.
Missing or invalid API key.
object
error
required
string
Example
invalid request field
Field that failed validation.
string
detail
string
hint
string
Insufficient unreserved credits.
object
error
required
string
Example
insufficient credits required
required
integer
available
required
integer
Request, concurrency, or plan limit exceeded.
Headers
Section titled “Headers ” Retry-After
integer
Seconds to wait when supplied.